package de.cnam.jemina.objects;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * POJO-Klasse
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class Buch extends Artikel {
    
    private String isbn;
    private String autoren;

    public Buch(String isbn, String autoren, String titel, String beschreibung) {
        super(titel, beschreibung);
        this.isbn = isbn;
        this.autoren = autoren;
    }

    /**
     * Liefert die ISBN Nummer
     * @return 
     */
    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    /**
     * Liefert die Autoren des Buches
     * @return 
     */
    public String getAutoren() {
        return autoren;
    }

    public void setAutoren(String autoren) {
        this.autoren = autoren;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}
