package de.cnam.jemina.objects;

import de.cnam.jemina.persistents.IPersistensObject;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * Reservierung
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class Reservierung implements IPersistensObject{
    
    private long id;
    private String nummer;
    private Person besitzer;
    private long ablaufDatum;
    private Artikel artikel;
    private Filiale filiale;

    public Reservierung(long id, String nummer, Person besitzer, long ablaufDatum, Artikel artikel, Filiale filiale) {
        this.id = id;
        this.nummer = nummer;
        this.besitzer = besitzer;
        this.ablaufDatum = ablaufDatum;
        this.artikel = artikel;
        this.filiale = filiale;
    }

    public Reservierung(String nummer, Person besitzer, long ablaufDatum, Artikel artikel, Filiale filiale) {
        this.nummer = nummer;
        this.besitzer = besitzer;
        this.ablaufDatum = ablaufDatum;
        this.artikel = artikel;
        this.filiale = filiale;
    }
    
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getNummer() {
        return nummer;
    }

    public void setNummer(String nummer) {
        this.nummer = nummer;
    }

    public Person getBesitzer() {
        return besitzer;
    }

    public void setBesitzer(Person besitzer) {
        this.besitzer = besitzer;
    }

    public long getAblaufDatum() {
        return ablaufDatum;
    }

    public void setAblaufDatum(long ablaufDatum) {
        this.ablaufDatum = ablaufDatum;
    }

    public Artikel getArtikel() {
        return artikel;
    }

    public void setArtikel(Artikel artikel) {
        this.artikel = artikel;
    }

    public Filiale getFiliale() {
        return filiale;
    }

    public void setFiliale(Filiale filiale) {
        this.filiale = filiale;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
    
}
