package de.cnam.jemina.resource;

import com.vaadin.terminal.ThemeResource;

/**
 * Hierbei handelt es sich um eine Erweiterung der {@link ThemeResource} Klasse.
 * Es wird automatisch der {@link #IMG_FOLDER Ordnername} f&uuml;r Bilder und
 * die {@link #FILETYPE Dateiendung} angeh&auml;gt.
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 19.01.2013
 */
public class ImgThemeResource extends ThemeResource{
    
    private static final String IMG_FOLDER = "img/";
    private static final String FILETYPE = ".png";

    /**
     * 
     * @param resourceId 
     */
    public ImgThemeResource(String resourceId) {
        super(IMG_FOLDER + resourceId + FILETYPE);
    }

}
