package de.cnam.jemina.ui.controlls.impl;

import com.vaadin.ui.Component;
import de.cnam.jemina.entrypoint.IJeminaApplication;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.ui.controlls.IControll;
import de.cnam.jemina.ui.controlls.listener.EasterEggListener;
import de.cnam.jemina.ui.controlls.listener.SearchListener;
import de.cnam.jemina.ui.views.impl.StartpageView;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Modul "Startseite"
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 22.01.2013
 */
public class StartpageControll implements IControll {
    
    public static final String MODUL_NAME = "Startpage";
    public static final String MODUL_ICON = "Home";
        
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(StartpageControll.class);
    
    // Logging:
    private final Logger log = LoggerFactory.getLogger(StartpageControll.class);
    
    // View (UI)
    private StartpageView view;

    // Applikation:
    private final IJeminaApplication app;
    
    /**
     * 
     * @param app 
     */
    public StartpageControll(IJeminaApplication app) {
        this.app = app;
    }
    

    @Override
    public String getName() {
        return MODUL_NAME;
    }

    @Override
    public String getIconName() {
        return MODUL_ICON;
    }

    @Override
    public String getCaption() {
        return locale.localize(MODUL_NAME);
    }

    @Override
    public Component open(Object obj, Map additionalParameters) {
        view = new StartpageView(); // @todo: Pruefen ob neu erzeugt werden muss
        view.setSuchListener(new SearchListener(app));
        view.addEasterEgg(new EasterEggListener(app));
        return view;
    }

}
