package de.cnam.jemina.ui.views.impl;

import com.vaadin.ui.Alignment;
import com.vaadin.ui.Component;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.LoginForm;
import com.vaadin.ui.VerticalLayout;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.ui.components.LoginComponent;

/**
 * Login-Dialog
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 20.01.2013
 */
public class LoginView extends CustomComponent {
    
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(LoginView.class);
    
    // UI
    LoginComponent anmeldung;
    

    public LoginView() {
        super();
        setSizeFull();
        setCompositionRoot(buildContent());
    }
    
    private Component buildContent() {
        VerticalLayout layout = new VerticalLayout();
        layout.setSizeFull();
        layout.setStyleName("login");
        
        // Diese Umstaende mit dem HLayout muessen sein, sonst ist die "Anmeldung" nicht zentriert ...
        HorizontalLayout hlayout = new HorizontalLayout();
        
        anmeldung = new LoginComponent();
        hlayout.addComponent(anmeldung);
        hlayout.setComponentAlignment(anmeldung, Alignment.MIDDLE_CENTER);
                
        layout.addComponent(hlayout);
        layout.setComponentAlignment(hlayout, Alignment.MIDDLE_CENTER);
        
        
        return layout;
    }
    
    /**
     * @see Anmeldung#addListener(com.vaadin.ui.LoginForm.LoginListener) 
     */
    public void addLoginListener(LoginForm.LoginListener listener) {
        anmeldung.addListener(listener);
    }
    
}
